From: Mimi Zohar <zohar@linux.ibm.com>
To: linux-integrity@vger.kernel.org
Cc: linux-kselftest@vger.kernel.org, kexec@lists.infradead.org,
linux-kernel@vger.kernel.org, Petr Vorel <pvorel@suse.cz>,
Dave Young <dyoung@redhat.com>,
Matthew Garrett <mjg59@google.com>,
Mimi Zohar <zohar@linux.ibm.com>
Subject: [PATCH v4 8/8] selftests/kexec: check kexec_load and kexec_file_load are enabled
Date: Thu, 14 Mar 2019 14:41:16 -0400 [thread overview]
Message-ID: <1552588876-28481-9-git-send-email-zohar@linux.ibm.com> (raw)
In-Reply-To: <1552588876-28481-1-git-send-email-zohar@linux.ibm.com>
Skip the kexec_load and kexec_file_load tests, if they aren't configured
in the kernel. This change adds a new requirement that ikconfig is
configured in the kexec_load test.
Suggested-by: Dave Young <dyoung@redhat.com>
Signed-off-by: Mimi Zohar <zohar@linux.ibm.com>
---
tools/testing/selftests/kexec/test_kexec_file_load.sh | 5 +++++
tools/testing/selftests/kexec/test_kexec_load.sh | 8 ++++++++
2 files changed, 13 insertions(+)
diff --git a/tools/testing/selftests/kexec/test_kexec_file_load.sh b/tools/testing/selftests/kexec/test_kexec_file_load.sh
index 6cf6a99f6a64..1d2e5e799523 100755
--- a/tools/testing/selftests/kexec/test_kexec_file_load.sh
+++ b/tools/testing/selftests/kexec/test_kexec_file_load.sh
@@ -151,6 +151,11 @@ require_root_privileges
# get the kernel config
get_kconfig
+kconfig_enabled "CONFIG_KEXEC_FILE=y" "kexec_file_load is enabled"
+if [ $? -eq 0 ]; then
+ log_skip "kexec_file_load is not enabled"
+fi
+
# Determine which kernel config options are enabled
kconfig_enabled "CONFIG_IMA_ARCH_POLICY=y" \
"architecture specific policy enabled"
diff --git a/tools/testing/selftests/kexec/test_kexec_load.sh b/tools/testing/selftests/kexec/test_kexec_load.sh
index afd440ee23cb..2a66c8897f55 100755
--- a/tools/testing/selftests/kexec/test_kexec_load.sh
+++ b/tools/testing/selftests/kexec/test_kexec_load.sh
@@ -10,6 +10,14 @@ TEST="$0"
# kexec requires root privileges
require_root_privileges
+# get the kernel config
+get_kconfig
+
+kconfig_enabled "CONFIG_KEXEC=y" "kexec_load is enabled"
+if [ $? -eq 0 ]; then
+ log_skip "kexec_load is not enabled"
+fi
+
get_secureboot_mode
secureboot=$?
--
2.7.5
next prev parent reply other threads:[~2019-03-14 18:42 UTC|newest]
Thread overview: 12+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-03-14 18:41 [PATCH v4 0/8] selftests/kexec: add kexec tests Mimi Zohar
2019-03-14 18:41 ` [PATCH v4 1/8] selftests/kexec: move the IMA kexec_load selftest to selftests/kexec Mimi Zohar
2019-03-14 18:41 ` [PATCH v4 2/8] selftests/kexec: cleanup the kexec selftest Mimi Zohar
2019-03-14 18:41 ` [PATCH v4 3/8] selftests/kexec: define a set of common functions Mimi Zohar
2019-03-14 18:41 ` [PATCH v4 4/8] selftests/kexec: define common logging functions Mimi Zohar
2019-03-14 18:41 ` [PATCH v4 5/8] kselftest/kexec: define "require_root_privileges" Mimi Zohar
2019-03-14 18:41 ` [PATCH v4 6/8] selftests/kexec: kexec_file_load syscall test Mimi Zohar
2019-03-14 18:41 ` [PATCH v4 7/8] selftests/kexec: Add missing '=y' to config options Mimi Zohar
2019-03-14 18:41 ` Mimi Zohar [this message]
2019-03-15 10:06 ` [PATCH v4 0/8] selftests/kexec: add kexec tests Petr Vorel
[not found] ` <20190318140643.GA17706@dhcp-128-65.nay.redhat.com>
[not found] ` <1552932562.8658.274.camel@linux.ibm.com>
2019-03-20 9:04 ` Dave Young
2019-03-20 12:03 ` Mimi Zohar
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1552588876-28481-9-git-send-email-zohar@linux.ibm.com \
--to=zohar@linux.ibm.com \
--cc=dyoung@redhat.com \
--cc=kexec@lists.infradead.org \
--cc=linux-integrity@vger.kernel.org \
--cc=linux-kernel@vger.kernel.org \
--cc=linux-kselftest@vger.kernel.org \
--cc=mjg59@google.com \
--cc=pvorel@suse.cz \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
Powered by JetHome